#ifndef CDUTILS_C_H
#define CDUTILS_C_H

#include "cdutils_interface.h"


namespace CDUtils {


class CInterface: public Interface
{
	PIOBJECT_SUBCLASS(CInterface, Interface)
public:
	CInterface();

	void sendCommand(const CDType & c);
	void connect(const CDType & c, PIObject * o, Handler eh);
	void autoConnect(PIObject * o, const PIString & prefix = PIStringAscii("c_"));

};

}

extern CDUtils::CInterface C;

#endif // CDUTILS_C_H
